import {linkListData, linkListIconsData, linkListCopyData} from "./LinkListData";
import {createLinkList} from "./LinkListComponent";

export default {
  title: 'Components/Linkliste',
  argTypes: {
    links: {
      name: 'Links',
      control: {type: 'object'},
      defaultValue: linkListData,
    }
  }
}
const Template = ({...args}) => {
  return createLinkList({...args});
}

export const SimpleList = Template.bind({});
SimpleList.args = {};

export const DifferentTypes = Template.bind({});
DifferentTypes.args = {links: linkListIconsData};

export const WithDescriptions = Template.bind({});
WithDescriptions.args = {links: linkListCopyData};